Bug 47581 - ports/math/gsl and ports/math/fftw don't use libtool from ports
Summary: ports/math/gsl and ports/math/fftw don't use libtool from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: lkoeller
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-28 08:30 UTC by Sergey Aleshin
Modified: 2003-03-23 20:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Aleshin 2003-01-28 08:30:00 UTC
ports/math/gsl and ports/math/fftw don't use libtool from ports.
It can cause problems with multithreaded programs that uses
this libraries. Such program will be linked with both libc.so and
libc_r.so.

Fix: 

Using libtool from ports fixes the problem.
I think port maintainers must correct this ports.
How-To-Repeat: Just build this ports and check is dependencies:
[/usr/ports/math/fftw]# ldd /usr/local/lib/libfftw.so
	libm.so.2 => /usr/lib/libm.so.2 (0x2812d000)
	libc.so.4 => /usr/lib/libc.so.4 (0x28069000)
Comment 1 Tilman Keskinoz freebsd_committer 2003-03-22 21:40:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lkoeller

Over to Maintainer of fftw port
Comment 2 lkoeller freebsd_committer 2003-03-23 20:15:00 UTC
State Changed
From-To: open->closed

Fix libtool usage and check that libc dependency of shared libs are avoided.